Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs
(+1)

Hi! I'm getting the following error message when loading the page.

I'm using Firefox on Linux.

Just FYI I've played it before and it's great.

This is most likely related to adblocker/script blockers or some other aspect of your browser's settings. I'd recommend trying the game on Philome.la.

Thank! I've reported this to the plugin authors.

The second address does not seem available under HTTPS. (Which is no obligation of yours to fix, but it might be an issue to some people.)